﻿using WarcViewerBlazorWinForm.Backend.IO;

namespace WarcViewerBlazorWinForm.Backend.Warc;

internal record WarcIndexerLoadRequestEvent(FileDescriptor FileDescriptor);

internal record WarcIndexerStatusRequestEvent;

internal record WarcIndexerStatusEvent(
    bool IsRunning,
    int QueueLength,
    FileDescriptor? FileDescriptor = null,
    float? Position = null
    );

internal record WarcIndexerLoadedEvent(IReadOnlyCollection<WarcIndexEntry> IndexEntries);
